/**
 * @file slp-light.h
 *
 * @brief Service Location Protocol (SLP) - minimal implemenation (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: slp-light.h 2685 2008-06-25 16:38:56Z wittenbu $
 */

#ifndef SLP_LIGHT_H
#define SLP_LIGHT_H

#include "../types.h"
#include "slp-light_types.h"

// Interface to main module.
void SLP_init();
void SLP_start();
void SLP_stop();
void SLP_finalize();
void SLP_recv(const packet_header_t* header, const void* payload);
bool SLP_command(int argc, const char*const* argv);

// Interface provided by this module.
void SLP_locate_service(const SERVICE_id_t* service_id, unsigned int min_service_instances, callback_function_t callback, SLP_query_result_t* query_result);

#endif	// SLP_LIGHT_H
